Skip to main content
GET
/
experiences
/
metadata
curl --location 'https://sdk-03.moengage.com/v1/experiences/metadata' \ --header 'Accept: */*' \ --header 'Content-Type: application/json' \ --header 'Authorization: Basic TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw==' \ --header 'MOE-APPKEY: <Your Workspace ID>'
{
  "metadata": {
    "count": 3,
    "experiences": [
      {
        "experience_name": "Experience 1",
        "experience_key": "experience-1",
        "status": "Active"
      },
      {
        "experience_name": "Experience 2",
        "experience_key": "experience-2",
        "status": "Paused"
      },
      {
        "experience_name": "Experience-3",
        "experience_key": "experience-3",
        "status": "Scheduled"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The API request will be authenticated through Basic Authentication. Basic Authentication sends a Base64-encoded string containing your username and password with every API request. It encodes a 'username:password' string in Base64 and appends the encoded string with 'Basic '. This string is included in the authorization header as shown below:

{"Authorization":"Basic bmF2ZWVua3VtYXI6bW9lbmdhZ2U="}

The username and password details can be obtained from the MoEngage Dashboard.

  1. Navigate to Settings -> Account -> APIs.
  2. Click the Copy icon in the Personalize tile in the API Keys section to copy the API Key.
  3. Use the Workspace ID as the username and the Personalize API Key as the password to generate the authentication header.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account, and it needs to be passed along with the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard API Settings. For more information, refer to Authentication.

Example:

"Workspace ID"

Query Parameters

status
string

You can also fetch experiences that are in a specific state - Only Active or only Active + Paused - by using the query parameter status.

Example:

"Active,Paused"

Response

200 - application/json

Successful retrieval

metadata
object